<?

If ($user == "") { $user = "admin";}



 If (file_exists("mail/$user") == false) {

  $fc = fopen("mail/$user", "w");

  fclose($fc);

 }



 If ($send == "ok") {

  for ($ma = 0; $ma < strlen($to); $ma++) {

   for ($ia = 0; $ia < strlen($serv_const_nchar); $ia++) {

    if (strtolower($to[$ma]) == $serv_const_nchar[$ia]) {

     $xs = $serv_const_nchar[$ia];

     echo "<script> alert('В поле Логин недопустимый символ <$xs>'); history.back(); </script>";

     exit;

    }

   }

  }



  If (file_exists("users/$to") == true) {

   $ftm = fopen("mail/$to", "a");

   $msg = str_replace("\n","<br>",stripslashes($msg));

   $msg = str_replace("^","_",$msg);



   fwrite($ftm, "0^$user^" . date("d.m.Y H:i:s") . "^" . $msg . "\n");

   fclose($ftm);

  }



  echo "<script> alert('Сообщение успешно отправленно!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=admin&com2=mail&user=$user'; </script>";

  exit;

 }

 ElseIf ($send == "del") {

  If (trim($ft[11]) == "0") {

   echo "<script> alert('Вы блокированный пользователь! Вы не можете удалять сообщения.'); history.back(); </script>";

   exit;

  }



  $fml = file("mail/$user");

  $fcd = fopen("mail/$user", "w");

  for ($im = 0; $im < count($fml); $im++) {

   if ($im <> $num) {

    fwrite($fcd, $fml[$im]);

   }

  }

  fclose($fcd);

  echo "<script> alert('Сообщение удалено!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=admin&com2=mail&user=$user'; </script>";

  exit;

 }

 ElseIf ($send == "read") {

  $fml = file("mail/$user");

  $fcd = fopen("mail/$user", "w");

  for ($im = 0; $im < count($fml); $im++) {

   if ($im == $num) {

    $arw = explode("^", trim($fml[$im]));

    fwrite($fcd, "1^" . $arw[1] . "^" . $arw[2] . "^" . $arw[3] . "\n");

   }

   Else {

    fwrite($fcd, $fml[$im]);

   }

  }

  fclose($fcd);



  echo "<script> alert('Сообщение помечено как прочитанное!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=admin&com2=mail&user=$user'; </script>";

  exit;

 }

 ElseIf ($send == "noread") {

  $fml = file("mail/$user");

  $fcd = fopen("mail/$user", "w");

  for ($im = 0; $im < count($fml); $im++) {

   if ($im == $num) {

    $arw = explode("^", trim($fml[$im]));

    fwrite($fcd, "0^" . $arw[1] . "^" . $arw[2] . "^" . $arw[3] . "\n");

   }

   Else {

    fwrite($fcd, $fml[$im]);

   }

  }

  fclose($fcd);



  echo "<script> alert('Сообщение помечено как непрочитанное!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=admin&com2=mail&user=$user'; </script>";

  exit;

 }







 $mcnt = 0;

 $acnt = 0;

 $fm = @file("mail/$user");

 for ($m = 0; $m < count($fm); $m++) {

  $ar = explode("^", $fm[$m]);

  If ($ar[0] == "0") {

   $mcnt++;

  }

  $acnt++;

 }



 ?>



<SCRIPT language=javascript>

 function toadd(add){

  mailfrm.to.value = add;

 }



 function del(num){

  if(confirm('Вы действительно хотите удалить это сообщение?')){

   document.location.href='/my.php<? echo $idstr ?>&com=admin&com2=mail&send=del&user=<? echo $user ?>&num=' + num;

  }

 }

</SCRIPT>



<table border="0" width="100%" cellspacing="0" cellpadding="0">

  <tr>

    <td width="100%" bgcolor="#F0F0F0"><p><b>&gt;&gt; Администрация &gt;&gt; Почта пользователя <? echo $user ?></b></p></td>

  </tr>

</table>

<p>&nbsp;</p>



<div align="center">

  <center>



<table border="1" width="600" cellspacing="0" cellpadding="2" style="border-collapse: collapse" bordercolor="#9ace8b" bgcolor="#F1FFED">

  <tr>

    <td width="100%" align="center">

      <form method="POST">

        <input type="hidden" name="lst" value="1">

        <p>Пользователь:

        <input type="text" value="<? echo $user ?>" name="user" size="60" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; ">

        <input type="submit" value="Просмотр" name="B1" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED"></p>

      </form>

    </td>

  </tr>

</table>

  </center>

</div>

<p>&nbsp;</p>



<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">

  <tr>

    <td width="100%" valign="top">

      <table border="0" width="100%" cellspacing="0" cellpadding="0">

        <tr>

           <td width="100%" bgcolor="#9ACE8B"><p><b>Моя почта ::</b> <i>Всего сообщений <? echo $acnt ?>, непрочитанных <? echo $mcnt ?></i></p></td>

        </tr>

        <tr>

           <td width="100%" valign="top">

<table border="0" width="100%" cellspacing="0" cellpadding="0" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" style="border-collapse: collapse" bordercolor="#111111">

  <tr>

    <td width="50%" colspan="3" bgcolor="#F1FFED">

    </td>

  </tr>

<?

for ($m2 = count($fm)-1; $m2 >= 0; $m2--) {

 $ar = explode("^", $fm[$m2]);

 If ($ar[0] == "0") {

  $pimg = "pic_mail_incom.gif";

 }

 Else {

  $pimg = "pic_mail_old.gif";

 }



 $blokusr = "false";

 If (trim($ft[11]) == "0") {

  If ($ar[1] <> "admin") {

   $blokusr = "true";

  }

 }



 If ($blokusr == "false") {

  echo "

    <tr>

     <td width='30%' valign='top'>

      <p><img border='0' src='" .$pimg. "' width='13' height='12'> от: <b>

      <a href=%22javascript:toadd('" .$ar[1]. "');\" class='cap2'>" .$ar[1]. "</a></b></p>

      <p>отправлено: " .$ar[2]. "</p>

      <p><a href='/my.php$idstr&com=admin&com2=mail&send=read&num=$m2&user=$user' class='cap2'><img border='0' src='img/pic_read.gif' width='16' height='16' alt='Пометить сообщение как прочитанное'></a> <a href='/my.php$idstr&com=admin&com2=mail&send=noread&num=$m2&user=$user' class='cap2'><img border='0' src='img/pic_noread.gif' width='16' height='16' alt='Пометить сообщение как непрочитанное'></a> <a href='javascript:del($m2)' class='cap2'><img border='0' src='img/pic_delete.gif' width='16' height='16' alt='Удалить сообщение'></a></p>

     </td>

     <td valign='top' bgcolor='#9ACE8B' width='1' height='1'>

	         <img border='0' src='pixel.gif' width='1' height='1'></td>

     <td width='70%' valign='top'>

      <p align='left'>" .$ar[3]. "</p>

     </td>

   </tr>

   <tr>

   	        <td width='97%' valign='top' colspan='3' bgcolor='#9ACE8B' width='1' height='1'>

   	         <img border='0' src='pixel.gif' width='1' height='1'></td>

     </tr>

  ";

 }



}

?>

</table>

<form method="POST" name="mailfrm">

<input type="hidden" name="user" value="<? echo $user ?>">

<input type="hidden" name="send" value="ok">

 <div align="center">

   <center>

 <table border="1" width="600" cellspacing="0" cellpadding="0" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" height="34" style="border: 0px solid #C0C0C0; ; border-collapse:collapse" bordercolor="#111111">

   <tr>

     <td width="175" bgcolor="#9ACE8B" height="19"><p>Кому:</p></td>

     <td width="395" height="19"><p>

     <input type="text" name="to" size="24" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "></p></td>

    </tr>

    <tr>

     <td width="175" bgcolor="#9ACE8B" height="19" valign="top"><p>Текст сообщения:</p></td>

     <td width="395" height="19"><p>

     <textarea rows="6" name="msg" cols="65" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "></textarea></p></td>

    </tr>

    <tr>

     <td width="175" height="19" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" valign="top"></td>

     <td width="395" height="19"><p>

     <input type="submit" name="B1" value="Отправить" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED"></p></td>

    </tr>

 </table>

   </center>

</div>

</form>

           </td>

        </tr>

      </table>

    </td>

  </tr>

</table>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_delete.gif' width='16' height='16'> - Удаляет сообщение.</p>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_read.gif' width='16' height='16'> - Помечает сообщение как прочитанное.</p>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_noread.gif' width='16' height='16'> - Помечает сообщение как непрочитанное.</p>

<p>&nbsp;</p>